## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-pytoolconfig
Version:        1.3.0
Release:        %autorelease
Summary:        Python tool configuration

License:        LGPL-3.0-or-later
URL:            https://github.com/bagel897/pytoolconfig
# The documentation sources are only included in the GitHub archive, not in the
# PyPI sdist. However, the GitHub archive would require arcane incantations to
# get the correct release version in the wheel metadata; we judge that this is
# not worth it, and just do without the Sphinx documentation.
Source:         %{pypi_source pytoolconfig}

BuildArch:      noarch

BuildRequires:  python3-devel

# Selected dependencies from [tool.pdm-dev-dependencies] in pyproject.toml for
# testing:
BuildRequires:  %{py3_dist pytest} >= 7.2

%global common_description %{expand:
The goal of this project is to manage configuration for Python tools, such as
black and rope, and add support for a pyproject.toml configuration file.}

%description %{common_description}


%package -n     python3-pytoolconfig
Summary:        %{summary}

%description -n python3-pytoolconfig %{common_description}


# The doc extra is potentially useful for dependent packages; for example,
# rope[doc] depends on pytoolconfig[doc]. However, the gendoc extra appears to
# be solely for building the documentation of this package, so we do not build
# acorresponding metapackage, nor do we generate BR’s from it.
%pyproject_extras_subpkg -n python3-pytoolconfig validation global doc


%prep
%autosetup -n pytoolconfig-%{version}


%generate_buildrequires
%pyproject_buildrequires -x validation,global,doc


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytoolconfig


%check
%pytest -v


%files -n python3-pytoolconfig -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
## START: Generated by rpmautospec
* Thu Jan 11 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.3.0-1
- Update to 1.3.0 (close RHBZ#2257775)

* Sun Oct 15 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.6-1
- Update to 1.2.6 (close RHBZ#2244235)

* Thu Aug 31 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.2.5-1
- Initial package (close RHBZ#2235852)
## END: Generated by rpmautospec
